#!/bin/bash

NAME=$(basename $PWD)
OWNER=$(sed   -n '/^%global github_owner/{s/.* //;p}'   $NAME.spec)
PROJECT=$(sed -n '/^%global github_name/{s/.* //;p}'    $NAME.spec)
VERSION=$(sed -n '/^%global github_version/{s/.* //;p}' $NAME.spec)
COMMIT=$(sed  -n '/^%global github_commit/{s/.* //;p}'  $NAME.spec)
SHORT=${COMMIT:0:7}

if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
	echo "$NAME-$VERSION-$SHORT.tgz exists"
else
	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"

	echo "Cloning..."
	rm -rf $PROJECT-$COMMIT
	git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT

	echo "Getting commit..."
	pushd $PROJECT-$COMMIT
		git checkout $COMMIT || exit 1
		cp composer.json ../composer.json
	popd

	echo "Archiving..."
	tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT

	echo "Cleaning..."
	rm -rf $PROJECT-$COMMIT
fi
echo "Done."
